Bug 1081570 - Loading patch management page in webconsole causes freeze of whole web console
Summary: Loading patch management page in webconsole causes freeze of whole web console
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ER2
: EAP 6.3.0
Assignee: Harald Pehl
QA Contact: Jakub Cechacek
Russell Dickenson
URL:
Whiteboard:
Depends On: 1083093
Blocks: eap63-beta-blockers 1084288
TreeView+ depends on / blocked
 
Reported: 2014-03-27 15:17 UTC by Radim Hatlapatka
Modified: 2015-04-28 15:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-28 15:29:59 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker EAP6-18 0 Major Closed Expose patch management in Console 2015-04-28 15:09:25 UTC

Description Radim Hatlapatka 2014-03-27 15:17:50 UTC
Description of problem:
When you load to Runtime->Patch Management in webconsole the whole webconsole becomes fronzen (you can't do anything without reloading the page

Version-Release number of selected component (if applicable): EAP 6.3.0.DR6


How reproducible: always


Steps to Reproduce:
1. start the EAP 
2. go to webconsole
3. you can navigate all over the console but when you go to Runtim -> Patch Management you are no longer able to navigate anywhere else (with EAP 6.3.0.DR5 this worked just fine)

Actual results:
Patch Management page is not loaded and I am unable to navigate anywhere in webconsole

Expected results: Patch Management page is properly loaded and doesn't prevent further user interaction with webconsole


Additional info:

Comment 1 Harald Pehl 2014-03-27 15:35:16 UTC
Can confirm. Bug was introduced with https://bugzilla.redhat.com/show_bug.cgi?id=1014219.

Comment 2 Jakub Cechacek 2014-04-30 08:52:47 UTC
Verified 6.3.0.ER2

Comment 3 JBoss JIRA Server 2015-04-28 15:09:52 UTC
John Doyle <jdoyle@jboss.org> updated the status of jira EAP6-18 to Closed


Note You need to log in before you can comment on or make changes to this bug.